section.main_content{
    position: relative;
    height: 100svh;
}
section.main_content .command_block{
    z-index: 100;
    position: fixed;
    padding: 5svh 5svw 0 5svw;
}
section.main_content .command_block input,
section.main_content .command_block button,
section.main_content .command_block select{
    border: 0;
    padding: 0.5rem;
    cursor: pointer;
    background-color: whitesmoke;
    border-radius: 4px;
}
section.main_content .command_block input.active,
section.main_content .command_block button.active {
    background-color: #1d2d3d;
    color: white;
    border: none;
}
section.main_content .command_block button{
    transition: all 150ms;
}
section.main_content .command_block input:hover,
section.main_content .command_block button:hover,
section.main_content .command_block select:hover{
    opacity: 0.8;
}
section.main_content .command_block input:not(:disabled):active,
section.main_content .command_block button:not(:disabled):active,
section.main_content .command_block select:not(:disabled):active{
    background-color: #1d2d3d;
    color: white;
    opacity: 1;
}
section.main_content .command_block #save_button.ping {
    transform: scale(1.05);
    transition: transform 0.15s ease;
}
section.main_content div#editor_title {
    position: relative;
    margin:  10svh 5svw 2.5svh 5svw ;
    overflow: auto;
    outline: none;
    font-size: 36px;
    font-weight: bold;
    padding: 16px;
    border-radius: 10px;
}
section.main_content #editor_title.placeholder,
section.main_content #editor.placeholder {
    color: #aaa; /* style visuel pour un "placeholder" */
}
section.main_content #editor {
    position: relative;
    height: calc(100% - 12.5svh - 68px - 32px - 16px);
    padding: 16px;
    margin-inline: 5svw;
    overflow: auto;
    overflow-y: scroll;
    outline: none;
}